Package be.fgov.ehealth.timestamping.protocol.v2

# Class TimeStampIdentification

java.lang.Object
be.fgov.ehealth.timestamping.protocol.v2.TimeStampIdentification

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:22+02:00", comments="JAXB RI v4.0.5") public class TimeStampIdentification extends Object implements Serializable
unique identification of the TSBag and response * sequence number of the time stamp response * MMDDYYYY UU:MM of the time stamp response

Java class for TimeStampIdentification complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TimeStampIdentification">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="sequenceNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="dateTime" type="{http://www.w3.org/2001/XMLSchema}long"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeStampIdentification()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getDateTime()`
  date and time returned by the time stamp server
  `String`
  `getSequenceNumber()`
  sequence number returned by time stamp server
  `void`
  `setDateTime(long value)`
  Sets the value of the dateTime property.
  `void`
  `setSequenceNumber(String value)`
  Sets the value of the sequenceNumber property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimeStampIdentification

    public TimeStampIdentification()

- ## Method Details

  - ### getSequenceNumber

    public String getSequenceNumber()
    sequence number returned by time stamp server
    Returns:
      possible object is `String`

  - ### setSequenceNumber

    public void setSequenceNumber(String value)
    Sets the value of the sequenceNumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSequenceNumber()`

  - ### getDateTime

    public long getDateTime()
    date and time returned by the time stamp server

  - ### setDateTime

    public void setDateTime(long value)
    Sets the value of the dateTime property.